OpenZWave Library: OpenZWave::SimpleHTTPClient Namespace Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
OpenZWave::SimpleHTTPClient Namespace Reference

## Classes
class | HttpSocket
| a Socket that speaks HTTP protocol. More...
class | POST
| This class is used for Posting data to a HTTP(s) server. More...
struct | Request
| Main class for making a HTTP request to a HTTP(s) server. More...
class | SocketSet
| Support Multiple TCP Socket connections. More...
class | TcpSocket
| a TCP Socket that can optionally be protected via SSL More...

## Enumerations
enum | SSLResult { SSLR_OK = 0x0 , SSLR_NO_SSL = 0x1 , SSLR_FAIL = 0x2 , SSLR_CERT_EXPIRED = 0x4 , SSLR_CERT_REVOKED = 0x8 , SSLR_CERT_CN_MISMATCH = 0x10 , SSLR_CERT_NOT_TRUSTED = 0x20 , SSLR_CERT_MISSING = 0x40 , SSLR_CERT_SKIP_VERIFY = 0x80 , SSLR_CERT_FUTURE = 0x100 , _SSLR_FORCE32BIT = 0x7fffffff }
| Result Codes for SSL operations. More...
enum | HttpCode { HTTP_OK = 200 , HTTP_NOTFOUND = 404 }

## Functions
bool | HasSSL ()
| Indicates if we support HTTPS requests.
int | _GetError ()
std::string | _GetErrorStr (int e)
bool | InitNetwork ()
| Initialize the Network for HTTP requests.
void | StopNetwork ()
| Stop the Network for HTTP requests.
bool | SplitURI (const std::string &uri, std::string &protocol, std::string &host, std::string &file, int &port, bool &useSSL)
void | URLEncode (const std::string &s, std::string &enc)
| Encode a String suitable for sending as a URL request (eg Get)
bool | SplitURI (const std::string &uri, std::string &host, std::string &file, int &port)
| Split a URL into its different parts/ports etc.

## Enumeration Type Documentation

## ◆ HttpCode

enum OpenZWave::SimpleHTTPClient::HttpCode

Enumerator
HTTP_OK |
HTTP_NOTFOUND |

## Function Documentation

## ◆ _GetError()

int OpenZWave::SimpleHTTPClient::_GetError | ( |  | ) |
| inline

## ◆ _GetErrorStr()

std::string OpenZWave::SimpleHTTPClient::_GetErrorStr | ( | int | e | ) |
| inline

## ◆ SplitURI()

bool OpenZWave::SimpleHTTPClient::SplitURI | ( | const std::string & | uri,
|  | std::string & | protocol,
|  | std::string & | host,
|  | std::string & | file,
|  | int & | port,
|  | bool & | useSSL
| ) |  |